## gnome-shell-extension-alphabetical-grid 26.0

=== Makefile ===
SHELL = bash
UUID = AlphabeticalAppGrid@stuarthayhurst
COMPRESSLEVEL = -o7

PNG_FILES = $(wildcard ./docs/*.png)

.PHONY: build package check release translations gtk4 compress install uninstall clean $(PNG_FILES)

build: clean
	glib-compile-schemas extension/schemas
	$(MAKE) package
package:
	cd "extension"; \
	gnome-extensions pack --force --podir=po --extra-source=../LICENSE.txt --extra-source=../docs/CHANGELOG.md --extra-source=../docs/icon.svg --extra-source=credits.json --extra-source=ui --extra-source=lib; \
	mv "$(UUID).shell-extension.zip" ../
check:
	@if [[ ! -f "$(UUID).shell-extension.zip" ]]; then \
	  echo -e "WARNING! Extension zip couldn't be found"; exit 1; \
	elif [[ "$$(stat -c %s $(UUID).shell-extension.zip)" -gt 4096000 ]]; then \
	  echo -e "\nWARNING! The extension is too big to be uploaded to the extensions website, keep it smaller than 4096 KB"; exit 1; \
	elif grep '"debug": true' extension/metadata.json > /dev/null; then \
	  echo -e "\nWARNING! Debug mode is enabled, a release shouldn't be published"; exit 1; \
	fi
release:
	@if [[ "$(VERSION)" != "" ]]; then \
	  sed -i "s|  \"version\":.*|  \"version\": $(VERSION),|g" extension/metadata.json; \
	fi
	#Call other targets required to make a release
	$(MAKE) gtk4
	$(MAKE) translations compress
	$(MAKE) build
	$(MAKE) check
translations:
	./scripts/update-pot.sh
	./scripts/update-po.sh -a
gtk4:
	gtk4-builder-tool simplify --3to4 extension/ui/prefs.ui > extension/ui/prefs-gtk4.ui
	gtk4-builder-tool simplify --3to4 extension/ui/about.ui > extension/ui/about-gtk4.ui
	gtk4-builder-tool simplify --3to4 extension/ui/credits.ui > extension/ui/credits-gtk4.ui
compress:
	$(MAKE) $(PNG_FILES)
$(PNG_FILES):
	optipng "$(COMPRESSLEVEL)" -quiet -strip all "$@"
install:
	@if [[ ! -f "$(UUID).shell-extension.zip" ]]; then \
	  $(MAKE) build; \
	fi
	gnome-extensions install "$(UUID).shell-extension.zip" --force
uninstall:
	gnome-extensions uninstall "$(UUID)"
clean:
	@rm -rfv extension/locale extension/schemas/gschemas.compiled "$(UUID).shell-extension.zip"
	@rm -rfv locale schemas/gschemas.compiled "$(UUID).shell-extension.zip"
	@rm -rfv extension/po/*.po~ extension/*.ui~ extension/ui/*.ui~ extension/ui/*.ui#
	@rm -rfv po/*.po~ *.ui~ ui/*.ui~ ui/*.ui#

=== debian/changelog ===
gnome-shell-extension-alphabetical-grid (26.0-0ubuntu1) lunar; urgency=medium

  * Initial release. (LP: #2003160)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 17 Jan 2023 16:55:17 -0800

## gnome-shell-extension-alphabetical-grid 27.0

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 .PHONY: build package check release translations gtk4 compress install uninstall clean $(PNG_FILES)
 
 build: clean
-	glib-compile-schemas extension/schemas
+	glib-compile-schemas --strict extension/schemas
 	$(MAKE) package
 package:
 	cd "extension"; \

=== debian/changelog ===
gnome-shell-extension-alphabetical-grid (27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release 27.0
  * Update d/copyright for new Occitan translation

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 30 Jan 2023 12:23:59 -0800

=== debian/control ===
Source: gnome-shell-extension-alphabetical-grid
Section: gnome
Priority: optional
Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 libglib2.0-dev,
 libgtk-4-bin,
 optipng,
 gnome-shell,
 unzip
Standards-Version: 4.6.1
Homepage: https://github.com/stuarthayhurst/alphabetical-grid-extension

Package: gnome-shell-extension-alphabetical-grid
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 gnome-shell (>= 42),
 gnome-shell (<< 44~)
Description: Alphabetical App Grid GNOME Extension
 Restores the alphabetical ordering of the app grid in the
 GNOME Applications overview.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	glib-compile-schemas --strict extension/schemas; \
	make gtk4; \
	cd "extension"; \
	gnome-extensions pack --force --podir=po --extra-source=../LICENSE.txt --extra-source=../docs/CHANGELOG.md --extra-source=../docs/icon.svg --extra-source=credits.json --extra-source=ui --extra-source=lib; \
	mv "AlphabeticalAppGrid@stuarthayhurst.shell-extension.zip" ../

override_dh_auto_install:
	mkdir -p AlphabeticalAppGrid@stuarthayhurst; \
	cd AlphabeticalAppGrid@stuarthayhurst; \
	unzip ../AlphabeticalAppGrid@stuarthayhurst.shell-extension.zip

## gnome-shell-extension-alphabetical-grid 31.0

=== Makefile ===
SHELL = bash
UUID = AlphabeticalAppGrid@stuarthayhurst
COMPRESSLEVEL ?= -o7

BUILD_DIR ?= build
UI_FILES = $(wildcard ./extension/ui/gtk3/*.ui)
PNG_FILES = $(wildcard ./docs/*.png)
BUNDLE_PATH = "$(BUILD_DIR)/$(UUID).shell-extension.zip"

.PHONY: build package check release translations gtk4 compress install uninstall clean $(UI_FILES) $(PNG_FILES)

build: clean
	@mkdir -p $(BUILD_DIR)
	glib-compile-schemas --strict extension/schemas --targetdir $(BUILD_DIR)
	$(MAKE) package
package:
	@mkdir -p $(BUILD_DIR)
	@echo "Packing files..."
	@cd "extension"; \
	gnome-extensions pack --force \
	--podir=po \
	--extra-source=../LICENSE.txt \
	--extra-source=../docs/CHANGELOG.md \
	--extra-source=../docs/icon.svg \
	--extra-source=credits.json \
	--extra-source=ui/ \
	--extra-source=lib/ \
	-o ../$(BUILD_DIR)/
check:
	@if [[ ! -f $(BUNDLE_PATH) ]]; then \
	  echo -e "\nWARNING! Extension zip couldn't be found"; exit 1; \
	elif [[ "$$(stat -c %s $(BUNDLE_PATH))" -gt 4096000 ]]; then \
	  echo -e "\nWARNING! The extension is too big to be uploaded to the extensions website, keep it smaller than 4096 KB"; exit 1; \
	elif grep '"debug": true' extension/metadata.json > /dev/null; then \
	  echo -e "\nWARNING! Debug mode is enabled, a release shouldn't be published"; exit 1; \
	fi
release:
	@if [[ "$(VERSION)" != "" ]]; then \
	  sed -i "s|  \"version\":.*|  \"version\": $(VERSION),|g" extension/metadata.json; \
	fi
	#Call other targets required to make a release
	$(MAKE) gtk4
	$(MAKE) translations compress
	$(MAKE) build
	$(MAKE) check
translations:
	@./scripts/update-pot.sh
	@./scripts/update-po.sh -a
gtk4:
	@$(MAKE) $(UI_FILES)
$(UI_FILES):
	@fileNameGtk4=$@; \
	fileNameGtk4="$${fileNameGtk4//gtk3/gtk4}"; \
	echo "Cleaning $@"; \
	gtk-builder-tool simplify --replace "$@"; \
	echo "Converting $@ -> $$fileNameGtk4"; \
	gtk4-builder-tool simplify --3to4 "$@" > "$$fileNameGtk4"
compress:
	$(MAKE) $(PNG_FILES)
$(PNG_FILES):
	@echo "Compressing $@..."
	@optipng $(COMPRESSLEVEL) -quiet -strip all "$@"
install:
	@if [[ ! -f $(BUNDLE_PATH) ]]; then \
	  $(MAKE) build; \
	fi
	gnome-extensions install $(BUNDLE_PATH) --force
uninstall:
	gnome-extensions uninstall "$(UUID)"
clean:
	@rm -rfv $(BUILD_DIR)
	@rm -rfv extension/po/*.po~
	@rm -rfv extension/ui/*/*.ui~ extension/ui/*/*.ui#
	@rm -rfv extension/locale extension/schemas/gschemas.compiled "$(UUID).shell-extension.zip"
	@rm -rfv locale schemas/gschemas.compiled
	@rm -rfv extension/*.ui~ extension/*.ui# extension/ui/*.ui~ extension/ui/*.ui#
	@rm -rfv po/*.po~ *.ui~ *.ui# ui/*.ui~ ui/*.ui#

=== debian/changelog ===
gnome-shell-extension-alphabetical-grid (31.0-0ubuntu1) mantic; urgency=medium

  * New upstream release 31.0
  * Remove obsolete patch for GNOME 44
  * d/control: Add build-dep libgtk-3-bin
  * d/rules: accommodate new 'make check' for dh_auto_test

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 21 Jul 2023 12:47:19 -0700

gnome-shell-extension-alphabetical-grid (27.0-0ubuntu2) lunar; urgency=medium

  * Patch to allow for compatibility with GNOME 44 (LP: #2008243)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 23 Feb 2023 07:31:57 -0800

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  libglib2.0-dev,
+ libgtk-3-bin,
  libgtk-4-bin,
  optipng,
  gnome-shell,
@@ -19,7 +20,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  gnome-shell (>= 42),
- gnome-shell (<< 44~)
+ gnome-shell (<< 45~)
 Description: Alphabetical App Grid GNOME Extension
  Restores the alphabetical ordering of the app grid in the
  GNOME Applications overview.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	glib-compile-schemas --strict extension/schemas; \
	make gtk4; \
	cd "extension"; \
	gnome-extensions pack --force --podir=po --extra-source=../LICENSE.txt --extra-source=../docs/CHANGELOG.md --extra-source=../docs/icon.svg --extra-source=credits.json --extra-source=ui --extra-source=lib; \
	mkdir ../build; \
	mv "AlphabeticalAppGrid@stuarthayhurst.shell-extension.zip" ../build \

override_dh_auto_install:
	mkdir -p AlphabeticalAppGrid@stuarthayhurst; \
	cd AlphabeticalAppGrid@stuarthayhurst; \
	unzip ../build/AlphabeticalAppGrid@stuarthayhurst.shell-extension.zip

## gnome-shell-extension-alphabetical-grid 32.0

=== debian/changelog ===
gnome-shell-extension-alphabetical-grid (32.0-0ubuntu1) mantic; urgency=medium

  * New upstream release 32.0

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 15 Aug 2023 16:44:11 -0700

## gnome-shell-extension-alphabetical-grid 33.0

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,6 @@
 
 build: clean
 	@mkdir -p $(BUILD_DIR)
-	glib-compile-schemas --strict extension/schemas --targetdir $(BUILD_DIR)
 	$(MAKE) package
 package:
 	@mkdir -p $(BUILD_DIR)
@@ -23,7 +22,7 @@
 	--extra-source=../docs/CHANGELOG.md \
 	--extra-source=../docs/icon.svg \
 	--extra-source=credits.json \
-	--extra-source=ui/ \
+	--extra-source=ui/gtk4/ \
 	--extra-source=lib/ \
 	-o ../$(BUILD_DIR)/
 check:
@@ -44,8 +43,7 @@
 	$(MAKE) build
 	$(MAKE) check
 translations:
-	@./scripts/update-pot.sh
-	@./scripts/update-po.sh -a
+	@BUILD_DIR=$(BUILD_DIR) ./scripts/update-po.sh -a
 gtk4:
 	@$(MAKE) $(UI_FILES)
 $(UI_FILES):

=== debian/changelog ===
gnome-shell-extension-alphabetical-grid (33.0-0ubuntu1) mantic; urgency=medium

  * New upstream release 33.0
  * d/control: bump GNOME compatibility

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 19 Aug 2023 14:05:56 -0700

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- gnome-shell (>= 42),
- gnome-shell (<< 45~)
+ gnome-shell (>= 43),
+ gnome-shell (<< 46~)
 Description: Alphabetical App Grid GNOME Extension
  Restores the alphabetical ordering of the app grid in the
  GNOME Applications overview.

## gnome-shell-extension-alphabetical-grid 34.0

=== debian/changelog ===
gnome-shell-extension-alphabetical-grid (34.0-0ubuntu1) mantic; urgency=medium

  * New upstream release 34.0
  * d/rules: update for libadwaita compatibility

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 22 Aug 2023 11:22:15 -0700

gnome-shell-extension-alphabetical-grid (33.0-0ubuntu2) mantic; urgency=medium

  * Fix lower limit of gnome-shell copatibility

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 20 Aug 2023 08:53:04 -0700

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- gnome-shell (>= 43),
+ gnome-shell (>= 45~),
  gnome-shell (<< 46~)
 Description: Alphabetical App Grid GNOME Extension
  Restores the alphabetical ordering of the app grid in the

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	glib-compile-schemas --strict extension/schemas; \
	cd "extension"; \
	gnome-extensions pack --force --podir=po --extra-source=../LICENSE.txt --extra-source=../docs/CHANGELOG.md --extra-source=lib; \
	mkdir ../build; \
	mv "AlphabeticalAppGrid@stuarthayhurst.shell-extension.zip" ../build \

override_dh_auto_install:
	mkdir -p AlphabeticalAppGrid@stuarthayhurst; \
	cd AlphabeticalAppGrid@stuarthayhurst; \
	unzip ../build/AlphabeticalAppGrid@stuarthayhurst.shell-extension.zip

## gnome-shell-extension-alphabetical-grid 36.0

=== debian/changelog ===
gnome-shell-extension-alphabetical-grid (36.0-0ubuntu1) noble; urgency=medium

  * New upstream release 36.0

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 07 Dec 2023 13:42:01 -0800

## gnome-shell-extension-alphabetical-grid 40.0

=== debian/changelog ===
gnome-shell-extension-alphabetical-grid (40.0-0ubuntu2) noble; urgency=medium

  * d/postinst: compile gschemas upon configuration (LP: #2062445)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 18 Apr 2024 19:11:16 -0700

gnome-shell-extension-alphabetical-grid (40.0-0ubuntu1) noble; urgency=medium

  * New upstream bugfix release 40.0
    - Fixed folder previews and contents getting stuck
    - Fixed compatibility issues with "Favourites in AppGrid" extension

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 03 Apr 2024 08:10:58 -0700

gnome-shell-extension-alphabetical-grid (39.0-0ubuntu1) noble; urgency=medium

  * New upstream release 39.0

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 25 Feb 2024 09:43:05 -0800

gnome-shell-extension-alphabetical-grid (38.0-0ubuntu1) noble; urgency=medium

  * New upstream release 38.0

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 25 Jan 2024 14:10:45 -0800

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  gnome-shell (>= 45~),
- gnome-shell (<< 46~)
+ gnome-shell (<< 47~)
 Description: Alphabetical App Grid GNOME Extension
  Restores the alphabetical ordering of the app grid in the
  GNOME Applications overview.

## gnome-shell-extension-alphabetical-grid 41.0

=== debian/changelog ===
gnome-shell-extension-alphabetical-grid (41.0-0ubuntu1) oracular; urgency=medium

  * New upstream release 41.0
  * d/control: bump max gnome-shell version

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 06 Aug 2024 15:48:14 -0700

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  gnome-shell (>= 45~),
- gnome-shell (<< 47~)
+ gnome-shell (<< 48~)
 Description: Alphabetical App Grid GNOME Extension
  Restores the alphabetical ordering of the app grid in the
  GNOME Applications overview.

## gnome-shell-extension-alphabetical-grid 42.0

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,10 @@
 COMPRESSLEVEL ?= -o7
 
 BUILD_DIR ?= build
-UI_FILES = $(wildcard ./extension/ui/gtk3/*.ui)
 PNG_FILES = $(wildcard ./docs/*.png)
 BUNDLE_PATH = "$(BUILD_DIR)/$(UUID).shell-extension.zip"
 
-.PHONY: build package check release translations gtk4 compress install uninstall clean $(UI_FILES) $(PNG_FILES)
+.PHONY: build package check release translations compress install uninstall clean $(PNG_FILES)
 
 build: clean
 	@mkdir -p $(BUILD_DIR)
@@ -20,9 +19,6 @@
 	--podir=po \
 	--extra-source=../LICENSE.txt \
 	--extra-source=../docs/CHANGELOG.md \
-	--extra-source=../docs/icon.svg \
-	--extra-source=credits.json \
-	--extra-source=ui/gtk4/ \
 	--extra-source=lib/ \
 	-o ../$(BUILD_DIR)/
 check:
@@ -38,21 +34,11 @@
 	  sed -i "s|  \"version\":.*|  \"version\": $(VERSION),|g" extension/metadata.json; \
 	fi
 	#Call other targets required to make a release
-	$(MAKE) gtk4
 	$(MAKE) translations compress
 	$(MAKE) build
 	$(MAKE) check
 translations:
 	@BUILD_DIR=$(BUILD_DIR) ./scripts/update-po.sh -a
-gtk4:
-	@$(MAKE) $(UI_FILES)
-$(UI_FILES):
-	@fileNameGtk4=$@; \
-	fileNameGtk4="$${fileNameGtk4//gtk3/gtk4}"; \
-	echo "Cleaning $@"; \
-	gtk-builder-tool simplify --replace "$@"; \
-	echo "Converting $@ -> $$fileNameGtk4"; \
-	gtk4-builder-tool simplify --3to4 "$@" > "$$fileNameGtk4"
 compress:
 	$(MAKE) $(PNG_FILES)
 $(PNG_FILES):

=== debian/changelog ===
gnome-shell-extension-alphabetical-grid (42.0-0ubuntu1) plucky; urgency=medium

  * New upstream release 42.0
  * d/conrol: bump max gnome-shell version

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 08 Feb 2025 11:19:55 -0800

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  gnome-shell (>= 45~),
- gnome-shell (<< 48~)
+ gnome-shell (<< 49~)
 Description: Alphabetical App Grid GNOME Extension
  Restores the alphabetical ordering of the app grid in the
  GNOME Applications overview.

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/alphabetical-grid-extension-$1\.tar\.gz/ \
  https://github.com/stuarthayhurst/alphabetical-grid-extension/tags .*/v?(\d\S*)\.tar\.gz

## gnome-shell-extension-alphabetical-grid 43.0

=== Makefile ===
--- 
+++ 
@@ -16,19 +16,18 @@
 	@echo "Packing files..."
 	@cd "extension"; \
 	gnome-extensions pack --force \
-	--podir=po \
-	--extra-source=../LICENSE.txt \
-	--extra-source=../docs/CHANGELOG.md \
-	--extra-source=lib/ \
-	-o ../$(BUILD_DIR)/
+	  --podir=po \
+	  --extra-source=../LICENCE.txt \
+	  --extra-source=../docs/CHANGELOG.md \
+	  --extra-source=lib/ \
+	  -o ../$(BUILD_DIR)/
 check:
 	@if [[ ! -f $(BUNDLE_PATH) ]]; then \
-	  echo -e "\nWARNING! Extension zip couldn't be found"; exit 1; \
+	  echo "WARNING: Extension zip couldn't be found"; exit 1; \
 	elif [[ "$$(stat -c %s $(BUNDLE_PATH))" -gt 4096000 ]]; then \
-	  echo -e "\nWARNING! The extension is too big to be uploaded to the extensions website, keep it smaller than 4096 KB"; exit 1; \
-	elif grep '"debug": true' extension/metadata.json > /dev/null; then \
-	  echo -e "\nWARNING! Debug mode is enabled, a release shouldn't be published"; exit 1; \
+	  echo "WARNING: Extension zip must stay below 4096 KB"; exit 1; \
 	fi
+	@./scripts/check-characters.sh
 release:
 	@if [[ "$(VERSION)" != "" ]]; then \
 	  sed -i "s|  \"version\":.*|  \"version\": $(VERSION),|g" extension/metadata.json; \

=== debian/changelog ===
gnome-shell-extension-alphabetical-grid (43.0-0ubuntu1) questing; urgency=medium

  * New upstream release
  * debian/patches: removed, all patches now upstream

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Fri, 08 Aug 2025 15:29:49 -0700

gnome-shell-extension-alphabetical-grid (42.0-0ubuntu2) questing; urgency=medium

  * Temporarily bump version until upstream releases

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 16 Jul 2025 06:40:09 -0700

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  gnome-shell (>= 45~),
- gnome-shell (<< 49~)
+ gnome-shell (<< 50~)
 Description: Alphabetical App Grid GNOME Extension
  Restores the alphabetical ordering of the app grid in the
  GNOME Applications overview.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 	dh $@
 
 override_dh_auto_build:
-	glib-compile-schemas --strict extension/schemas; \
 	cd "extension"; \
 	gnome-extensions pack --force --podir=po --extra-source=../LICENSE.txt --extra-source=../docs/CHANGELOG.md --extra-source=lib; \
 	mkdir ../build; \

## gnome-shell-extension-alphabetical-grid 44.0

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,6 @@
 	gnome-extensions pack --force \
 	  --podir=po \
 	  --extra-source=../LICENCE.txt \
-	  --extra-source=../docs/CHANGELOG.md \
 	  --extra-source=lib/ \
 	  -o ../$(BUILD_DIR)/
 check:

=== debian/changelog ===
gnome-shell-extension-alphabetical-grid (44.0-0ubuntu4) resolute; urgency=medium

  * Keep from removing app grid folders

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 03 Mar 2026 09:47:30 -0800

gnome-shell-extension-alphabetical-grid (44.0-0ubuntu3) resolute; urgency=medium

  * d/rules: Fix metadata.json path in override_dh_gencontrol
  * d/control: Architecture any -> all, drop ${shlibs:Depends}

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 01 Mar 2026 18:00:00 -0800

gnome-shell-extension-alphabetical-grid (44.0-0ubuntu2) resolute; urgency=medium

  * Actually generate Min/MaximumVersion variables

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 01 Mar 2026 17:28:18 -0800

gnome-shell-extension-alphabetical-grid (44.0-0ubuntu1) resolute; urgency=medium

  * New upstream release 44.0
  * d/control: Use new min/max dependency versioning
  * Remove upstreamed patches 

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 01 Mar 2026 11:33:09 -0800

gnome-shell-extension-alphabetical-grid (43.0-0ubuntu3) resolute; urgency=medium

  * Added patch for GNOME 50 (thanks vanvugt!)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 04 Feb 2026 16:42:38 +0000

gnome-shell-extension-alphabetical-grid (43.0-0ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 23:11:50 +0100

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,8 @@
 	mkdir -p AlphabeticalAppGrid@stuarthayhurst; \
 	cd AlphabeticalAppGrid@stuarthayhurst; \
 	unzip ../build/AlphabeticalAppGrid@stuarthayhurst.shell-extension.zip
+
+override_dh_gencontrol:
+	dh_gencontrol -- \
+		-Vgnome:MinimumVersion=$(shell python3 -c "import json; print(min(int(x) for x in json.load(open('extension/metadata.json', 'rt'))['shell-version']))") \
+		-Vgnome:MaximumVersion=$(shell python3 -c "import json; print(1+max(int(x) for x in json.load(open('extension/metadata.json', 'rt'))['shell-version']))")
